Re: [maven-javadoc-plugin] branch master updated: revert upgrade plexus-java because enforcer complains.

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Re: [maven-javadoc-plugin] branch master updated: revert upgrade plexus-java because enforcer complains.

Robert Scholte-3
Yes,  this is a missing feature in Maven enforcer plugin. It should verify byte code version with meta-inf/versions/X.Iirc I made a start with it. 


Verzonden vanaf mijn Samsung Galaxy-smartphone.
-------- Oorspronkelijk bericht --------Van: Olivier Lamy <[hidden email]> Datum: 18-10-18  10:47  (GMT+03:00) Aan: Maven Developers List <[hidden email]> Onderwerp: Re: [maven-javadoc-plugin] branch master updated: revert upgrade plexus-java because enforcer complains.
I reverted that because enforcer complains.
[windows-jdk9-m3.5.x_build] [INFO] Restricted to JDK 1.7 yet
org.codehaus.plexus:plexus-java:jar:0.9.11:compile contains
META-INF/versions/9/org/codehaus/plexus/languages/java/jpms/BinaryModuleInfoParser.class
targeted to JDK 1.9
[windows-jdk9-m3.5.x_build] [WARNING] Rule 0:
org.apache.maven.plugins.enforcer.EnforceBytecodeVersion failed with
message:
[windows-jdk9-m3.5.x_build] Found Banned Dependency:
org.codehaus.plexus:plexus-java:jar:0.9.11

Sounds like a bug with enforcer? META-INF/versions/9 (META-INF/versions/x)
shouldn't be a problem?

org.codehaus.plexus:plexus-java:jar:0.9.11 is required for jdk11 (if you
compile with target 11)
but we cannot upgrade because of this.
well users can still upgrade the dependency in their pom but it's not
something automatic.
WDYT?

On Thu, 18 Oct 2018 at 17:42, <[hidden email]> wrote:

> This is an automated email from the ASF dual-hosted git repository.
>
> olamy pushed a commit to branch master
> in repository https://gitbox.apache.org/repos/asf/maven-javadoc-plugin.git
>
>
> The following commit(s) were added to refs/heads/master by this push:
>      new 972fbbc  revert upgrade plexus-java because enforcer complains.
> 972fbbc is described below
>
> commit 972fbbc199350e8b222d0da7f75b1d95d30b7bd9
> Author: Olivier Lamy <[hidden email]>
> AuthorDate: Thu Oct 18 17:42:38 2018 +1000
>
>     revert upgrade plexus-java because enforcer complains.
> ---
>  pom.xml | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/pom.xml b/pom.xml
> index ac74f4b..fa19d3e 100644
> --- a/pom.xml
> +++ b/pom.xml
> @@ -234,7 +234,7 @@ under the License.
>      <dependency>
>        <groupId>org.codehaus.plexus</groupId>
>        <artifactId>plexus-java</artifactId>
> -      <version>0.9.11</version>
> +      <version>0.9.8</version>
>      </dependency>
>      <dependency>
>        <groupId>org.codehaus.plexus</groupId>
>
>

--
Olivier Lamy
http://twitter.com/olamy | http://linkedin.com/in/olamy